// Inter.h tous les 60us

volatile byte cnt1,cnt2,cnt3;
volatile byte e6ms;
volatile byte time20ms, time1s, stopOnTime20ms, gotoOnTime20ms;
volatile byte cents, seconds, minutes, hours ;
ISR (TIMER2_OVF_vect) {
 TCNT2 = 141;  //  58 us calibre
 SendS1(); 
 if (cnt1++ > 41) { cnt1=0;  // toutes les 42x58= 2.5ms 
   DoPfm();     
  // one more activity, each with a period of 20ms 
  switch (e6ms) {
     case 0:
       flagS1=1;   // lance SendS1
       e6ms=1;   break; 
     case 1:
       e6ms=2;   break; 
     case 2:
       e6ms=3;   break; 
     case 3:
       if (time20ms) {time20ms--;} 
       e6ms=4;   break; 
     case 4:
       if (time1s) {time1s--;} 
       e6ms=5;   break; 
     case 5:
       if(stopOnTime20ms == 1) { pfmL = 0; pfmR = 0; }
       if(stopOnTime20ms) {stopOnTime20ms--;}
       e6ms=6;   break; 
     case 6:
        if(!gotoOnTime20ms--) { }  // pas accepté  goto Bug; }
         e6ms=7;   break; 
       case 7:
         e6ms=0;   break; 
  } // end switch
 }  // end if cnt1 2.5ms
 if (cnt3++ > 170) { cnt3=0; // 10ms for the clock
   cents++; if (cents==100) { cents=0; 
     seconds++; if (seconds==60) { seconds=0;
       minutes++; if (minutes==60) { minutes=0; 
          hours++;
       }
     }
   }
 }  // end cnt3
} // End interrupt



void SetupInter() {  // initialisation
   cli();
  TCCR2A = 0; //default
  TCCR2B = 0b00000010;  // clk/8
  TIMSK2 = 0b00000001;  // TOIE2
  sei();
}


