// TestEviteObstacleCaseTell2.ino  
// Tell affiche le pfm.  Utilise StopOnTime20ms;
typedef uint8_t byte;

#include "XbotDef.h"
#include "Debug.h"
#include "Pfm.h"
#include "Inter.h"

void setup() {  // initialisation
  SetupXbot ();  // set also Pfm
  SetupDebug();
  SetupInter();
}
volatile byte cDel;  //Comptera les cycles de 20ms
enum {Av,EvL,EvR} etat ;  // nommer les états est plus clair
void loop() {
  highLow = (pfmL<<8) + pfmR; 
//highLow = (seconds<<8) + cents;
 delay (20);   // durée des cycles
 switch (etat) {
  case Av:
    pfmL=50; pfmR=50;  
    if (ObsL) { time20ms = 500/20; etat=EvL; break; }
    if (ObsR) { time20ms = 500/20; etat=EvR; break; }
    break;
    
  case EvL:   // 0.5s de recul par tranches de 20ms
    pfmL=-20; pfmR=-50;
    if (!time20ms) { etat=Av; break; }
    else break;

  case EvR:   // 1s de recul par tranches de 20ms
    pfmL=-50; pfmR=-20;
    if (!time20ms) { etat=Av; break; }
    else break;

 } // end switch
}


