// TestEviteObstacleCaseTell.ino  
// Tell affiche le pfm.  pas d'affichage oled
typedef uint8_t byte;

#include "XbotDef.h"
#include "Debug.h"
#include "Pfm.h"
#include "Inter.h"

void setup() {  // initialisation
  SetupXbot ();  // set also Pfm
  SetupDebug();
  SetupInter();
}
volatile byte cDel;  //Comptera les cycles de 20ms
enum {Av,EvL,EvR} etat ;  // nommer les états est plus clair
void loop() {
 highLow = (pfmL<<8) + pfmR;
 delay (20);   // durée des cycles
 switch (etat) {
  case Av:
    pfmL=50; pfmR=50;  
    if (ObsL) { cDel= 500/20; etat=EvL; break; }
    if (ObsR) { cDel= 500/20; etat=EvR; break; }
    break;
  case EvL:   // 1s de recul par tranches de 20ms
    pfmL=-20; pfmR=-50;
    if (!cDel--) { etat=Av; break; }
    else break;

  case EvR:   // 1s de recul par tranches de 20ms
    pfmL=-50; pfmR=-20;
    if (!cDel--) { etat=Av; break; }
    else break;

 } // end switch
}


